OpenShift - plugin detail

OpenShift tools for NetBeans IDE

NetBeans Plugin - OpenShift
Plugin owner: geertjan
Website: https://www.youtube.com/watch?v=VtzThoMscAg
Added: 2014-12-26
License: CDDL
Category: Web Applications
Downloaded: 4,656 times
Rating:
 4.53, by 2 users

Plugin Log Show log

Versions available

Download plugin   Download size: 0.29 MB   Last Update: 2014-12-30

What's new in this version

1.1: Problems with implementation versions should now be fixed. No implementation versions at all in this plugin anymore.
1.2: Removed Git JAR, which was causing conflicts with existing Git in NetBeans. Hence now when "Git Sources" is invoked, the Git URL is copied to the clipboard and you'll need to open the Clone Repository dialog yourself, from the Team menu.

Verifications for NetBeans versions

Plugin is not subject to any verification



Introduction

OpenShift tools for NetBeans IDE

[ You have to be logged in to be able to comment. ]

User Comments

  

Looks like set up correctly but can't see the deployed application

I have it running on 8.2 but after selecting it as server for my web application I can't see the application.

Any hints?
Posted by javydreamercsw on Apr 26, 2017
  

Integration with OpenShift Next Gen

Hi,
I'm trying to use this plungin to connect Netbeans with Openshift Next Gen but unfortunatelly it doesn't work, the Authentification does not work.
Any suggestion how to solve the problem?
Thanks
Posted by kenparker on Jan 19, 2017
  

Support for Netbeans 8.2

Hi Geertjan,
Could you update this plugin for Netbeans 8.2, I am able to use it in 8.2, but I feel that plugin is somewhat slow compared to using in 8.0 version.
Posted by Rahul.khandelwal on Oct 03, 2016
  

NetBeans 8.1

NetBeans8.1 comes bundled with JRE. This plugin requires JDK, any chance a version for NetBeans 8.1 with only JRE might be forthcoming?
Posted by anwarbashir on Mar 03, 2016
  

Openshift Enterprise

Hi,
Is it possible to use the plugin for the Enterprise version of Openshift? That means to connect to a local server instead of the public one on internet.

Thanks
Posted by vilnius on Apr 09, 2015
  

More info needed to reproduce

REALLY a lot more info is needed than that to reproduce it. Drop me a mail at geertjan.wielenga@oracle.com.
Posted by geertjan on Jan 13, 2015
  

Some Bug

Hello thanks for plugin,
i try it yesterday and i have a problem then this plugin is active, its broke CSS Preprocessors in my Windows-x64 Netbeans8.0.2, tab become empty in Miscellaneous/Css Preprocessors

It will be great if you can fix it.

Thanks
Posted by vrobik on Jan 13, 2015
  

Finally :-)

Thank you very much, this is the plugin I was looking for ;-). One feature which would be very cool, is the ability to enable port forwarding (like the JBoss Tools plugin for eclipse does).
Posted by konradrenner on Jan 03, 2015
  

Still having issues with 1.2 on NB 8.0.2

I'm using NB on Ubuntu 14.04 on JavaSE 8. I'm seeing the following 3 issues

1 Openshift is not showing in Services -> Cloud window when I restart NetBeans the next time.

2. When I tried creating a project in OpenShift, I'm getting the following exception in the output window

Preparing: 2014-12-31 10:13:01.491
com.openshift.internal.client.utils.Assert$AssertionFailedException
at com.openshift.internal.client.utils.Assert.notNull(Assert.java:32)
at com.openshift.client.OpenShiftConnectionFactory.getConnection(OpenShiftConnectionFactory.java:147)
at com.openshift.client.OpenShiftConnectionFactory.getConnection(OpenShiftConnectionFactory.java:110)
at com.openshift.client.OpenShiftConnectionFactory.getConnection(OpenShiftConnectionFactory.java:105)
at com.openshift.client.OpenShiftConnectionFactory.getConnection(OpenShiftConnectionFactory.java:83)
at org.netbeans.modules.cloud.foo.utils.OpenShiftUtilities.connect2OpenShift(OpenShiftUtilities.java:11)
at org.netbeans.modules.cloud.foo.FooCloudInstance.deploy(FooCloudInstance.java:140)
at org.netbeans.modules.cloud.foo.FooCloudInstance$1.call(FooCloudInstance.java:105)
at org.netbeans.modules.cloud.foo.FooCloudInstance$1.call(FooCloudInstance.java:102)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1423)
at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2033)

3. My CSS processor option is not blank and I get the following exception in Notifications. If I remove the plugin, this error goes away

java.lang.Exception: got no controller from CSS Preprocessors: null
at org.netbeans.spi.options.AdvancedOption$1.call(AdvancedOption.java:151)
at org.netbeans.spi.options.AdvancedOption$1.call(AdvancedOption.java:144)
[catch] at org.netbeans.modules.options.AdvancedOptionImpl.create(AdvancedOptionImpl.java:102)
at org.netbeans.modules.options.advanced.Model.getPanel(Model.java:171)
at org.netbeans.modules.options.advanced.AdvancedPanel.handleTabSwitched(AdvancedPanel.java:200)
at org.netbeans.modules.options.advanced.AdvancedPanel.initTabbedPane(AdvancedPanel.java:160)
at org.netbeans.modules.options.advanced.AdvancedPanel.init(AdvancedPanel.java:148)
at org.netbeans.modules.options.advanced.AdvancedPanelController.getComponent(AdvancedPanelController.java:100)
at org.netbeans.modules.options.CategoryModel$Category.getComponent(CategoryModel.java:431)
at org.netbeans.modules.options.OptionsPanel.setCurrentCategory(OptionsPanel.java:258)
at org.netbeans.modules.options.OptionsPanel.access$300(OptionsPanel.java:125)
at org.netbeans.modules.options.OptionsPanel$CategoryButton.mouseReleased(OptionsPanel.java:1190)
at java.awt.Component.processMouseEvent(Component.java:6525)
at javax.swing.JComponent.processMouseEvent(JComponent.java:3321)
at java.awt.Component.processEvent(Component.java:6290)
at java.awt.Container.processEvent(Container.java:2234)
at java.awt.Component.dispatchEventImpl(Component.java:4881)
at java.awt.Container.dispatchEventImpl(Container.java:2292)
at java.awt.Component.dispatchEvent(Component.java:4703)
at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4898)
at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4533)
at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4462)
at java.awt.Container.dispatchEventImpl(Container.java:2278)
at java.awt.Window.dispatchEventImpl(Window.java:2739)
at java.awt.Component.dispatchEvent(Component.java:4703)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:746)
at java.awt.EventQueue.access$400(EventQueue.java:97)
at java.awt.EventQueue$3.run(EventQueue.java:697)
at java.awt.EventQueue$3.run(EventQueue.java:691)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:75)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:86)
at java.awt.EventQueue$4.run(EventQueue.java:719)
at java.awt.EventQueue$4.run(EventQueue.java:717)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:75)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:716)
at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:159)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

Thanks
Posted by chuklee on Dec 30, 2014
  

Works perfectly

I gave 5 stars! But the overall rating is displayed as "4.44, by 1 users".

I guess you can live with that...
Posted by thomasvoelk on Dec 30, 2014
  

Git problem is fixed

Hi all, the Git problem is fixed. Please try out the plugin and leave comments here about whether it works for you and which features you'd like next.
Posted by geertjan on Dec 30, 2014
  

Some problem with Git in relation to this plugin

Then encountered the same problem -- i.e., needed to force quit NetBeans because of the Git problem. Maybe simplest is to exclude the Git part of it -- easy enough to open the Git dialog yourself, no need really for the plugin to help with that. Thanks for the feedback, will spin out another version of this plugin, without Git, soon.
Posted by geertjan on Dec 28, 2014
  

No problem on Mac OS X version 10.9.5

Details of steps how to reproduce the problem will help. I am right now on Mac OS X version 10.9.5 running on x86_64, with 1.7.0_40, and there's no problem in (1) registering OpenShift under the Cloud node, (2) expanding the OpenShift node under the Services node, and (3) viewing the deployed applications. However, when I right-click an application and choose "Git Source", some errors are thrown and the Clone Repository dialog does not open. But that's a minor problem, easy to open that dialog myself and paste the Git URL there myself. Maybe try install the plugin with a fresh user directory (i.e., delete the user directory and then restart the IDE)?
Posted by geertjan on Dec 28, 2014
  

Errors on OS X 10.10.1

Hi Geertjan,

this looks very nice, but I can't get it to work properly. I have installed the plugin on the Mac, OS X 10.10.1, JDK 1.8.0_25, Netbeans 8.0.2.

The activation of the plugin causes several errors in the log. You can find the log here: https://drive.google.com/file/d/0B3CG_bDyqdusclBfRm9JU0ZtMkE/view?usp=sharing

It shows the start of Netbeans without any errors, then the activation of the plugin with some class loading errors. Just search for openshift in the log.

The errors seem to affect Netbeans, as I cannot close the Netbeans application anymore - I have to kill the Netbeans process. Plus the Submenu of Team->Git does not show up anymore. The log indicates that there are conflicts between the plugin and another module (search the log for the term 'arbitrarily').
Posted by thomasvoelk on Dec 28, 2014
  

Please download version 1.1

Hi all, added version 1.1 of this plugin, which you'll automatically get when you click the Download button. No implementation dependencies in this one. Install it in 8.0.2 and please provide feedback here.
Posted by geertjan on Dec 28, 2014
  

NetBeans 8.0.2 compatibility

Did you watch the movie on YouTube (https://www.youtube.com/watch?v=VtzThoMscAg)? Look at the version number of NetBeans in the title bar, you'll see it says 8.0.2. That's where I made it in and where I've tried it out. So, quite a lot more info is needed from you, such as which operating system are you using? I've only tried it on Windows, at this stage. If you're using a different operating system, that might be the reason.
Posted by geertjan on Dec 28, 2014
  

Netbeans 8.0.2 compatibility

Using it with current NB (8.0.2) is not possible. Requesting plugins in more uptodate versions e.g.

"The plugin Cloud Common is requested in implementation version 201411181905."
Posted by slawekmikula on Dec 28, 2014
  

Feedback on OpenShift/NetBeans, please!

Those who have installed this plugin, please leave comments here about how it's working for you, the bugs you've found, and what features should be added next! Thanks and happy new year.
Posted by geertjan on Dec 27, 2014
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo